Up

# NSProcessInfo+GNUstepBase documentation

### Authors

Richard Frith-Macdonald (`rfm@gnu.org`)

Copyright: (C) 2003-2010 Free Software Foundation, Inc.

# Software documentation for the NSProcessInfo(GNUstepBase) category

## NSProcessInfo(GNUstepBase)

> Declared in:
>   GNUstepBase/NSProcessInfo+GNUstepBase.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- -debugLoggingEnabled
- -debugSet
- -setDebugLoggingEnabled:

### debugLoggingEnabled

- (BOOL) debugLoggingEnabled;
Availability: Not in OpenStep/MacOS-X
Returns a indication of whether debug logging is enabled. This returns `YES` unless a call to -setDebugLoggingEnabled: has been used to turn logging off.

### debugSet

- (NSMutableSet*) debugSet;
Availability: Not in OpenStep/MacOS-X
This method returns a set of debug levels set using the --GNU-Debug=... command line option and/or the GNU-Debug user default.
You can modify this set to change the debug logging under your programs control... but such modifications are not thread-safe.

### setDebugLoggingEnabled:

- (void) setDebugLoggingEnabled: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
This method permits you to turn all debug logging on or off without modifying the set of debug levels in use.

Up